class UserMailer < ApplicationMailer
  def password_reset(user)
    @user = user
    mail to: @user.email
  end

  def project_invitation(user, project, user_is_new: false)
    @user = user
    @project = project
    @user_is_new = user_is_new

    mail to: @user.email
  end

  def welcome(user, account)
    @user = user
    @account = account
    mail to: @user.email
  end

  def existing_account(user, account)
    @user = user
    @account = account
    mail to: @user.email
  end
end
